FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000074FL52.2 Subprogram FLUC (CONV)public2013-06-23 13:362014-10-13 08:26
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version 
Target Version5.1Fixed in Version5.1 
Summary0000074: Add BASE64 and HEX as encodings to conversion layer
DescriptionDie Konvertierungskomponenten müssen um BASE64 und HEX Encodierung ergänzt werden, so dass wir in der Lage sind, BASE64 und HEX-Codierung über Originaldaten wegzunehmen oder hinzuzufügen.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000657)
Falk Reichbott (administrator)
2014-10-13 08:26

The base encoding and decoding are now used in read and write operations of the CONV command of FLCL and is available also in byte and record interface.

A automated base decoding for supported encryption and compression streams was implemented. Means if data a valid base encoding, decoding is done, if the result a PGP, GZIP, XZ, BZIP2 or a other supported data stream.

The decoding is also done, if the result is XML, because a base encoding cannot be XML and XML cannot be a valid base encoding.

If we read binary data and decoding is requsted the decompressed data is given back. If an addtional decoding required an additional decoding must explicit requested. If you want to read the comressed data, but for the a base decoding is required, then you can define the levels of decoding. At target binary each decoding, decompression and decryption operation are a level and you can free define on which decoding level the auto decoding of the data is stoped.

For the targets TEXT and CHAR a addtional decoding is done if the result of this operation is not binary data. If you wan't to read the base encoding the autodecoding after decompression can be deactivated. For TEXT and CHAR each base decoding (for decryption, for decompression and for the real target (TEXT/CHAR)) is a decoding level because encrypted or compressed data cannot be of type TEXT or CHAR.

- Issue History
Date Modified Username Field Change
2013-06-23 13:36 Falk Reichbott New Issue
2013-06-23 13:36 Falk Reichbott Status new => assigned
2013-06-23 13:36 Falk Reichbott Assigned To => Falk Reichbott
2013-06-27 23:16 Falk Reichbott Category 1. FLAM/Software/Product => 2.2 Subprogram FLUC (CONV)
2013-06-27 23:16 Falk Reichbott View Status private => public
2013-06-27 23:19 Falk Reichbott Project @2@ => FL5
2014-10-13 08:26 Falk Reichbott Note Added: 0000657
2014-10-13 08:26 Falk Reichbott Status assigned => resolved
2014-10-13 08:26 Falk Reichbott Fixed in Version => 5.1
2014-10-13 08:26 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker